/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package komponente.tabela.model;

import domen.PoslovniPartner;
import domen.Proizvod;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student
 */
public class ModelTabeleProizvod extends AbstractTableModel {

    List<Proizvod> proizvodi;
    String[] kolone = {"Sifra", "Naziv", "Cena"};

    public ModelTabeleProizvod(List<Proizvod> proizvodi) {
        this.proizvodi = proizvodi;
    }

    @Override
    public int getRowCount() {
        if (proizvodi == null) {
            return 0;
        }
        return proizvodi.size();
    }

    @Override
    public int getColumnCount() {
        return 3;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Proizvod proizvod = proizvodi.get(rowIndex);
        switch (columnIndex) {
            case 0:
                return proizvod.getSifra();
            case 1:
                return proizvod.getNaziv();
            case 2:
                return proizvod.getCena();

            default:
                return "N/A";
        }
    }

    @Override
    public String getColumnName(int column) {

        return kolone[column];
    }

    public Proizvod vratiProizvod(long sifra) {
        for (Proizvod proizvod : proizvodi) {
            if(proizvod.getSifra()==sifra){
                return proizvod;
            }
        }
        return null;
    }

    

}
